PipeWire: pw_type Class Reference

PipeWire 0.2.4

Public Member Functions | Data Fields
pw_type Class Reference

PipeWire type support struct. More...

## Public Member Functions
int | pw_type_init (struct pw_type *type)
| Initializes the type system. More...

## Data Fields
struct spa_type_map * | map
| the type mapper More...
uint32_t | core
uint32_t | registry
uint32_t | node
uint32_t | port
uint32_t | factory
uint32_t | link
uint32_t | client
uint32_t | module
uint32_t | spa_log
uint32_t | spa_node
uint32_t | spa_clock
uint32_t | spa_monitor
uint32_t | spa_format
uint32_t | spa_props
struct spa_type_io | io
struct spa_type_param | param
struct spa_type_meta | meta
struct spa_type_data | data
struct spa_type_event_node | event_node
struct spa_type_command_node | command_node
struct spa_type_monitor | monitor
struct spa_type_param_buffers | param_buffers
struct spa_type_param_meta | param_meta
struct spa_type_param_io | param_io

## Detailed Description

PipeWire type support struct.

This structure contains some of the most common types and should be initialized with pw_type_init()

## Member Function Documentation

## ◆ pw_type_init()

int pw_type_init | ( | struct pw_type * | type | ) |

Initializes the type system.

Parameters

  type | a type structure

References client, command_node, core, data, event_node, factory, io, link, map, meta, module, monitor, node, param, param_buffers, param_io, param_meta, port, pw_get_support_interface(), PW_TYPE_INTERFACE__Client, PW_TYPE_INTERFACE__Core, PW_TYPE_INTERFACE__Factory, PW_TYPE_INTERFACE__Link, PW_TYPE_INTERFACE__Module, PW_TYPE_INTERFACE__Node, PW_TYPE_INTERFACE__Port, PW_TYPE_INTERFACE__Registry, registry, spa_clock, spa_format, spa_log, spa_monitor, spa_node, and spa_props.

Referenced by pw_core::pw_core_new().

## Field Documentation

## ◆ client

uint32_t pw_type::client

Referenced by pw_type_init().

## ◆ command_node

struct spa_type_command_node pw_type::command_node

Referenced by pw_type_init().

## ◆ core

uint32_t pw_type::core

Referenced by pw_control_new(), pw_core::pw_core_find_format(), pw_core_get_type(), pw_port_add(), pw_port_set_param(), and pw_type_init().

## ◆ data

struct spa_type_data pw_type::data

Referenced by pw_type_init().

## ◆ event_node

struct spa_type_event_node pw_type::event_node

Referenced by pw_type_init().

## ◆ factory

uint32_t pw_type::factory

Referenced by pw_type_init().

## ◆ io

struct spa_type_io pw_type::io

Referenced by pw_type_init().

## ◆ link

uint32_t pw_type::link

Referenced by pw_type_init().

## ◆ map

struct spa_type_map* pw_type::map

the type mapper

Referenced by pw_control_new(), pw_port_set_param(), and pw_type_init().

## ◆ meta

struct spa_type_meta pw_type::meta

Referenced by pw_type_init().

## ◆ module

uint32_t pw_type::module

Referenced by pw_type_init().

## ◆ monitor

struct spa_type_monitor pw_type::monitor

Referenced by pw_type_init().

## ◆ node

uint32_t pw_type::node

Referenced by pw_port_add(), pw_port_set_param(), and pw_type_init().

## ◆ param

struct spa_type_param pw_type::param

Referenced by pw_control_new(), pw_core::pw_core_find_format(), pw_port_set_param(), and pw_type_init().

## ◆ param_buffers

struct spa_type_param_buffers pw_type::param_buffers

Referenced by pw_type_init().

## ◆ param_io

struct spa_type_param_io pw_type::param_io

Referenced by pw_control_new(), pw_port_add(), and pw_type_init().

## ◆ param_meta

struct spa_type_param_meta pw_type::param_meta

Referenced by pw_type_init().

## ◆ port

uint32_t pw_type::port

Referenced by pw_control_new(), pw_port_add(), pw_port_set_param(), and pw_type_init().

## ◆ registry

uint32_t pw_type::registry

Referenced by pw_type_init().

## ◆ spa_clock

uint32_t pw_type::spa_clock

Referenced by pw_type_init().

## ◆ spa_format

uint32_t pw_type::spa_format

Referenced by pw_type_init().

## ◆ spa_log

uint32_t pw_type::spa_log

Referenced by pw_type_init().

## ◆ spa_monitor

uint32_t pw_type::spa_monitor

Referenced by pw_type_init().

## ◆ spa_node

uint32_t pw_type::spa_node

Referenced by pw_type_init().

## ◆ spa_props

uint32_t pw_type::spa_props

Referenced by pw_type_init().

The documentation for this class was generated from the following files:

- type.h
- type.c